#
# spec file for package python-python-pam
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%global modname python-pam
Name:           python-python-pam
Version:        1.8.4
Release:        1.20
Summary:        Python PAM module using ctypes, py3/py2
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/FirefighterBlu3/python-pam
Source:         https://files.pythonhosted.org/packages/source/p/python-pam/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Python pam module supporting py3 (and py2).

%prep
%setup -q -n %{modname}-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/*

%changelog
* Fri Dec  7 2018 Tomáš Chvátal <tchvatal@suse.com>
- Version update to 1.8.4:
  * Various small fixes
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Jun 19 2017 okurz@suse.com
- Initial version 1.8.2
